## org.eclipse.amp.axf.ide
Class ModelManagerViewPart.ManagerListener

    java.lang.Object
      org.eclipse.amp.axf.ide.ModelManagerViewPart.ManagerListener

All Implemented Interfaces:
  IModelWorkbenchListener

Enclosing class:
  ModelManagerViewPart

    private class ModelManagerViewPart.ManagerListener

extends java.lang.Object
implements IModelWorkbenchListener

Constructor Summary
`private` `ModelManagerViewPart.ManagerListener()`

Method Summary
`void` `modelActivated(IModel model)` Notifies the listener that the given model has been activated, that is in foreground and controllable.
`void` `modelAdded(IModel model)` Model added.
`void` `modelRemoved(IModel model)` Model removed.
`void` `viewActivated(IWorkbenchPart part)` View activated.
`void` `viewAdded(IWorkbenchPart part)` View added.
`void` `viewRemoved(IWorkbenchPart part)` View removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelManagerViewPart.ManagerListener

    private ModelManagerViewPart.ManagerListener()

Method Detail

### modelActivated

    public void modelActivated(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Notifies the listener that the given model has been activated, that is in foreground and controllable. The model is not necessarily focused, nor even visible. Models can be executing but not activated. Note that this assumes that any already activated model is now deactivated, and it the listener's responsibility to keep a reference to that prior model as appropriate. Only one model may be active at any one time.

  Specified by:
    `modelActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `model` - The model that is currently activated, or null if no models are now active. This usually indicates that no models exist.

### modelAdded

    public void modelAdded(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model added.

  Specified by:
    `modelAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `model` - the model

### modelRemoved

    public void modelRemoved(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model removed.

  Specified by:
    `modelRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `model` - the model

### viewActivated

    public void viewActivated(IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View activated.

  Specified by:
    `viewActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `part` - the part

### viewAdded

    public void viewAdded(IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View added.

  Specified by:
    `viewAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `part` - the part

### viewRemoved

    public void viewRemoved(IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View removed.

  Specified by:
    `viewRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `part` - the part

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors